Bug 1525922 - [ALL_LANG] User Icon - Configuration - Access Control : 'Add new group' and 'Add new role' translation issues
Summary: [ALL_LANG] User Icon - Configuration - Access Control : 'Add new group' and '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization
Version: 5.9.0
Hardware: x86_64
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Krishna Babu K
URL:
Whiteboard:
Depends On:
Blocks: 1530756
TreeView+ depends on / blocked
 
Reported: 2017-12-14 12:11 UTC by Krishna Babu K
Modified: 2019-02-07 23:00 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1530756 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:00:45 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
translation issues present with add new group (180.66 KB, image/png)
2017-12-14 12:11 UTC, Krishna Babu K
no flags Details
translation issues present with add new role (370.84 KB, image/png)
2017-12-14 12:12 UTC, Krishna Babu K
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:51 UTC

Description Krishna Babu K 2017-12-14 12:11:53 UTC
Created attachment 1367940 [details]
translation issues present with add new group

Description of problem:
'Add new group' has translation issues, please refer 'add_new_group' screen-shot
'Add new role' has translation issues, please refer 'add_new_role' screen-shot

Version-Release number of selected component (if applicable):
5.9.0.13.20171212214416_f4f190a

How reproducible:
always

Steps to Reproduce:
1. Log into cfme with non en_US locale
2. Navigate to User Icon - Configuration - Access Control - Groups : click configure - Add a new group, following page has partial translation and untranslated entry.
3. Roles : click configure - Add a new role, following page has untranslated entries.

Actual results:
Translations not present

Expected results:
Translations should present

Additional info:

Comment 2 Krishna Babu K 2017-12-14 12:12:28 UTC
Created attachment 1367941 [details]
translation issues present with add new role

Comment 4 CFME Bot 2017-12-23 08:33:50 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4feeaefe8075a4dab503947fad8933de535365f3

commit 4feeaefe8075a4dab503947fad8933de535365f3
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Dec 22 16:47:28 2017 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Dec 22 16:47:28 2017 +0100

    Fix right cell text on user/group/role add/edit page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1525922

 app/controllers/ops_controller/ops_rbac.rb | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

Comment 7 Krishna Babu K 2018-11-24 14:45:55 UTC
Verified on 5.10.0.24.20181113213923_03b81fd

Comment 8 errata-xmlrpc 2019-02-07 23:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.